<h1>Point Of Sale
  <span *ngIf="pointOfSaleForm.get('id').value !== null">edit</span>
  <span *ngIf="pointOfSaleForm.get('id').value === null">create</span>
</h1>
<br>
<form [formGroup]="pointOfSaleForm">
  <div class="form-group row" *ngIf="pointOfSaleForm.get('id').value !== null">
    <label for="staticId" class="col-sm-2 col-form-label">ID</label>
    <div class="col-sm-10">
      <input type="text" readonly id="staticId" formControlName="id" class="form-control">
    </div>
  </div>
  <div class="form-group row">
    <label for="inputName" class="col-sm-2 col-form-label">Name</label>
    <div class="col-sm-10">
      <input type="text" id="inputName" formControlName="name" class="form-control"
             [ngClass]="{'is-invalid':pointOfSaleForm.get('name').invalid}">
      <div class="invalid-feedback" *ngFor="let err of pointOfSaleForm.get('name').getError('backendErrors')">
        {{err}}
      </div>
    </div>
  </div>
  <div class="form-group row">
    <div class="col-sm-10">
      <button class="btn" [ngClass]="{'btn-success': pointOfSaleForm.valid, 'btn-danger': !pointOfSaleForm.valid}" [disabled]="!pointOfSaleForm.valid" type="submit" (click)="save()">SAVE
      </button>
    </div>
  </div>
</form>
<hr>
<div class="form-group row">
  <label for="hasNfcClient" class="col-sm-3 col-form-label">NFC-Client connected?</label>
  <div class="col-sm-9">
    <div class="d-flex">
        <span class="p-2"
              [ngClass]="{'text-warning':!oldPointOfSaleInfo?.hasNfcClient,'text-success':oldPointOfSaleInfo?.hasNfcClient}">
              <fa-icon [icon]="faCircle" fixedWidth></fa-icon>
        </span>
      <input type="text" readonly class="sr-only sr-only-focusable" id="hasNfcClient"
             value="{{oldPointOfSaleInfo?.hasNfcClient}}">
    </div>
  </div>
</div>
<div class="form-group row">
  <label for="hasCashDeskClient" class="col-sm-3 col-form-label">Cash-Desk-Client connected?</label>
  <div class="col-sm-9">
    <div class="d-flex">
        <span class="p-2"
              [ngClass]="{'text-warning':!oldPointOfSaleInfo?.hasCashDeskClient,'text-success':oldPointOfSaleInfo?.hasCashDeskClient}">
          <fa-icon [icon]="faCircle" fixedWidth></fa-icon>
        </span>
      <input type="text" readonly class="sr-only sr-only-focusable" id="hasCashDeskClient"
             value="{{oldPointOfSaleInfo?.hasCashDeskClient}}">
    </div>
  </div>
</div>
